Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
56.0.0.0
Broadcast address
56.127.255.255
First usable
56.0.0.1
Last usable
56.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 38000000 · Integer 939524096 to 947912703
Reverse DNS zones
0.56.in-addr.arpa
1.56.in-addr.arpa
2.56.in-addr.arpa
3.56.in-addr.arpa
4.56.in-addr.arpa
5.56.in-addr.arpa
6.56.in-addr.arpa
7.56.in-addr.arpa
8.56.in-addr.arpa
9.56.in-addr.arpa
10.56.in-addr.arpa
11.56.in-addr.arpa
12.56.in-addr.arpa
13.56.in-addr.arpa
14.56.in-addr.arpa
15.56.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000.00000000.00000000.0000000056.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00111000.00000000.00000000.0000000056.0.0.0
Broadcast00111000.01111111.11111111.1111111156.127.255.255
Split into smaller subnets/16

56.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.0.0.0/1656.0.0.1 to 56.0.255.25456.0.255.25565,534
256.1.0.0/1656.1.0.1 to 56.1.255.25456.1.255.25565,534
356.2.0.0/1656.2.0.1 to 56.2.255.25456.2.255.25565,534
456.3.0.0/1656.3.0.1 to 56.3.255.25456.3.255.25565,534
556.4.0.0/1656.4.0.1 to 56.4.255.25456.4.255.25565,534
656.5.0.0/1656.5.0.1 to 56.5.255.25456.5.255.25565,534
756.6.0.0/1656.6.0.1 to 56.6.255.25456.6.255.25565,534
856.7.0.0/1656.7.0.1 to 56.7.255.25456.7.255.25565,534
956.8.0.0/1656.8.0.1 to 56.8.255.25456.8.255.25565,534
1056.9.0.0/1656.9.0.1 to 56.9.255.25456.9.255.25565,534
1156.10.0.0/1656.10.0.1 to 56.10.255.25456.10.255.25565,534
1256.11.0.0/1656.11.0.1 to 56.11.255.25456.11.255.25565,534
1356.12.0.0/1656.12.0.1 to 56.12.255.25456.12.255.25565,534
1456.13.0.0/1656.13.0.1 to 56.13.255.25456.13.255.25565,534
1556.14.0.0/1656.14.0.1 to 56.14.255.25456.14.255.25565,534
1656.15.0.0/1656.15.0.1 to 56.15.255.25456.15.255.25565,534
1756.16.0.0/1656.16.0.1 to 56.16.255.25456.16.255.25565,534
1856.17.0.0/1656.17.0.1 to 56.17.255.25456.17.255.25565,534
1956.18.0.0/1656.18.0.1 to 56.18.255.25456.18.255.25565,534
2056.19.0.0/1656.19.0.1 to 56.19.255.25456.19.255.25565,534
2156.20.0.0/1656.20.0.1 to 56.20.255.25456.20.255.25565,534
2256.21.0.0/1656.21.0.1 to 56.21.255.25456.21.255.25565,534
2356.22.0.0/1656.22.0.1 to 56.22.255.25456.22.255.25565,534
2456.23.0.0/1656.23.0.1 to 56.23.255.25456.23.255.25565,534
2556.24.0.0/1656.24.0.1 to 56.24.255.25456.24.255.25565,534
2656.25.0.0/1656.25.0.1 to 56.25.255.25456.25.255.25565,534
2756.26.0.0/1656.26.0.1 to 56.26.255.25456.26.255.25565,534
2856.27.0.0/1656.27.0.1 to 56.27.255.25456.27.255.25565,534
2956.28.0.0/1656.28.0.1 to 56.28.255.25456.28.255.25565,534
3056.29.0.0/1656.29.0.1 to 56.29.255.25456.29.255.25565,534
3156.30.0.0/1656.30.0.1 to 56.30.255.25456.30.255.25565,534
3256.31.0.0/1656.31.0.1 to 56.31.255.25456.31.255.25565,534
3356.32.0.0/1656.32.0.1 to 56.32.255.25456.32.255.25565,534
3456.33.0.0/1656.33.0.1 to 56.33.255.25456.33.255.25565,534
3556.34.0.0/1656.34.0.1 to 56.34.255.25456.34.255.25565,534
3656.35.0.0/1656.35.0.1 to 56.35.255.25456.35.255.25565,534
3756.36.0.0/1656.36.0.1 to 56.36.255.25456.36.255.25565,534
3856.37.0.0/1656.37.0.1 to 56.37.255.25456.37.255.25565,534
3956.38.0.0/1656.38.0.1 to 56.38.255.25456.38.255.25565,534
4056.39.0.0/1656.39.0.1 to 56.39.255.25456.39.255.25565,534
4156.40.0.0/1656.40.0.1 to 56.40.255.25456.40.255.25565,534
4256.41.0.0/1656.41.0.1 to 56.41.255.25456.41.255.25565,534
4356.42.0.0/1656.42.0.1 to 56.42.255.25456.42.255.25565,534
4456.43.0.0/1656.43.0.1 to 56.43.255.25456.43.255.25565,534
4556.44.0.0/1656.44.0.1 to 56.44.255.25456.44.255.25565,534
4656.45.0.0/1656.45.0.1 to 56.45.255.25456.45.255.25565,534
4756.46.0.0/1656.46.0.1 to 56.46.255.25456.46.255.25565,534
4856.47.0.0/1656.47.0.1 to 56.47.255.25456.47.255.25565,534
4956.48.0.0/1656.48.0.1 to 56.48.255.25456.48.255.25565,534
5056.49.0.0/1656.49.0.1 to 56.49.255.25456.49.255.25565,534
5156.50.0.0/1656.50.0.1 to 56.50.255.25456.50.255.25565,534
5256.51.0.0/1656.51.0.1 to 56.51.255.25456.51.255.25565,534
5356.52.0.0/1656.52.0.1 to 56.52.255.25456.52.255.25565,534
5456.53.0.0/1656.53.0.1 to 56.53.255.25456.53.255.25565,534
5556.54.0.0/1656.54.0.1 to 56.54.255.25456.54.255.25565,534
5656.55.0.0/1656.55.0.1 to 56.55.255.25456.55.255.25565,534
5756.56.0.0/1656.56.0.1 to 56.56.255.25456.56.255.25565,534
5856.57.0.0/1656.57.0.1 to 56.57.255.25456.57.255.25565,534
5956.58.0.0/1656.58.0.1 to 56.58.255.25456.58.255.25565,534
6056.59.0.0/1656.59.0.1 to 56.59.255.25456.59.255.25565,534
6156.60.0.0/1656.60.0.1 to 56.60.255.25456.60.255.25565,534
6256.61.0.0/1656.61.0.1 to 56.61.255.25456.61.255.25565,534
6356.62.0.0/1656.62.0.1 to 56.62.255.25456.62.255.25565,534
6456.63.0.0/1656.63.0.1 to 56.63.255.25456.63.255.25565,534
6556.64.0.0/1656.64.0.1 to 56.64.255.25456.64.255.25565,534
6656.65.0.0/1656.65.0.1 to 56.65.255.25456.65.255.25565,534
6756.66.0.0/1656.66.0.1 to 56.66.255.25456.66.255.25565,534
6856.67.0.0/1656.67.0.1 to 56.67.255.25456.67.255.25565,534
6956.68.0.0/1656.68.0.1 to 56.68.255.25456.68.255.25565,534
7056.69.0.0/1656.69.0.1 to 56.69.255.25456.69.255.25565,534
7156.70.0.0/1656.70.0.1 to 56.70.255.25456.70.255.25565,534
7256.71.0.0/1656.71.0.1 to 56.71.255.25456.71.255.25565,534
7356.72.0.0/1656.72.0.1 to 56.72.255.25456.72.255.25565,534
7456.73.0.0/1656.73.0.1 to 56.73.255.25456.73.255.25565,534
7556.74.0.0/1656.74.0.1 to 56.74.255.25456.74.255.25565,534
7656.75.0.0/1656.75.0.1 to 56.75.255.25456.75.255.25565,534
7756.76.0.0/1656.76.0.1 to 56.76.255.25456.76.255.25565,534
7856.77.0.0/1656.77.0.1 to 56.77.255.25456.77.255.25565,534
7956.78.0.0/1656.78.0.1 to 56.78.255.25456.78.255.25565,534
8056.79.0.0/1656.79.0.1 to 56.79.255.25456.79.255.25565,534
8156.80.0.0/1656.80.0.1 to 56.80.255.25456.80.255.25565,534
8256.81.0.0/1656.81.0.1 to 56.81.255.25456.81.255.25565,534
8356.82.0.0/1656.82.0.1 to 56.82.255.25456.82.255.25565,534
8456.83.0.0/1656.83.0.1 to 56.83.255.25456.83.255.25565,534
8556.84.0.0/1656.84.0.1 to 56.84.255.25456.84.255.25565,534
8656.85.0.0/1656.85.0.1 to 56.85.255.25456.85.255.25565,534
8756.86.0.0/1656.86.0.1 to 56.86.255.25456.86.255.25565,534
8856.87.0.0/1656.87.0.1 to 56.87.255.25456.87.255.25565,534
8956.88.0.0/1656.88.0.1 to 56.88.255.25456.88.255.25565,534
9056.89.0.0/1656.89.0.1 to 56.89.255.25456.89.255.25565,534
9156.90.0.0/1656.90.0.1 to 56.90.255.25456.90.255.25565,534
9256.91.0.0/1656.91.0.1 to 56.91.255.25456.91.255.25565,534
9356.92.0.0/1656.92.0.1 to 56.92.255.25456.92.255.25565,534
9456.93.0.0/1656.93.0.1 to 56.93.255.25456.93.255.25565,534
9556.94.0.0/1656.94.0.1 to 56.94.255.25456.94.255.25565,534
9656.95.0.0/1656.95.0.1 to 56.95.255.25456.95.255.25565,534
9756.96.0.0/1656.96.0.1 to 56.96.255.25456.96.255.25565,534
9856.97.0.0/1656.97.0.1 to 56.97.255.25456.97.255.25565,534
9956.98.0.0/1656.98.0.1 to 56.98.255.25456.98.255.25565,534
10056.99.0.0/1656.99.0.1 to 56.99.255.25456.99.255.25565,534
10156.100.0.0/1656.100.0.1 to 56.100.255.25456.100.255.25565,534
10256.101.0.0/1656.101.0.1 to 56.101.255.25456.101.255.25565,534
10356.102.0.0/1656.102.0.1 to 56.102.255.25456.102.255.25565,534
10456.103.0.0/1656.103.0.1 to 56.103.255.25456.103.255.25565,534
10556.104.0.0/1656.104.0.1 to 56.104.255.25456.104.255.25565,534
10656.105.0.0/1656.105.0.1 to 56.105.255.25456.105.255.25565,534
10756.106.0.0/1656.106.0.1 to 56.106.255.25456.106.255.25565,534
10856.107.0.0/1656.107.0.1 to 56.107.255.25456.107.255.25565,534
10956.108.0.0/1656.108.0.1 to 56.108.255.25456.108.255.25565,534
11056.109.0.0/1656.109.0.1 to 56.109.255.25456.109.255.25565,534
11156.110.0.0/1656.110.0.1 to 56.110.255.25456.110.255.25565,534
11256.111.0.0/1656.111.0.1 to 56.111.255.25456.111.255.25565,534
11356.112.0.0/1656.112.0.1 to 56.112.255.25456.112.255.25565,534
11456.113.0.0/1656.113.0.1 to 56.113.255.25456.113.255.25565,534
11556.114.0.0/1656.114.0.1 to 56.114.255.25456.114.255.25565,534
11656.115.0.0/1656.115.0.1 to 56.115.255.25456.115.255.25565,534
11756.116.0.0/1656.116.0.1 to 56.116.255.25456.116.255.25565,534
11856.117.0.0/1656.117.0.1 to 56.117.255.25456.117.255.25565,534
11956.118.0.0/1656.118.0.1 to 56.118.255.25456.118.255.25565,534
12056.119.0.0/1656.119.0.1 to 56.119.255.25456.119.255.25565,534
12156.120.0.0/1656.120.0.1 to 56.120.255.25456.120.255.25565,534
12256.121.0.0/1656.121.0.1 to 56.121.255.25456.121.255.25565,534
12356.122.0.0/1656.122.0.1 to 56.122.255.25456.122.255.25565,534
12456.123.0.0/1656.123.0.1 to 56.123.255.25456.123.255.25565,534
12556.124.0.0/1656.124.0.1 to 56.124.255.25456.124.255.25565,534
12656.125.0.0/1656.125.0.1 to 56.125.255.25456.125.255.25565,534
12756.126.0.0/1656.126.0.1 to 56.126.255.25456.126.255.25565,534
12856.127.0.0/1656.127.0.1 to 56.127.255.25456.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses